;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 
;; This function takes two values, v1 and v2, and two weights, p1 and p2, and
;; computes their weighted average.
;; 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun weighted-average(v1 v2 p1 p2)
  (/
   (+ 
    (* v1 p1)
    (* v2 p2)
    )
   (+ p1 p2)
   )
  )
(setq income-pseudo-532-2000 (weighted-average 15966 52260 1130 1181))
(setq income-pseudo-532-1990 (weighted-average 29661 45877 1517 1641))

;; Mine, using population:
(setq occupied-pseudo-532-2000 (weighted-average 28.7 51.5 1130 1181))
(setq occupied-pseudo-532-1990 (weighted-average 41.7 42.9 1517 1641))

;; Grace, using housing units:
(setq occupied-pseudo-532-2000 (weighted-average 28.7 51.5 467 557))
(setq occupied-pseudo-532-1990 (weighted-average 41.7 42.9 521 700))
